Page MenuHomePhabricator

Update app launch screen to current app branding
Closed, ResolvedPublic

Description

The current app launch screen is a static "W" icon on a dark gray background which is outdated in visual branding.

Current design

Proposed update

Use the Wikipedia globe logo. (This could use the same asset as shown in the "About" screen (without the workmark).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 6:00 PM
Dbrant renamed this task from Loading screen should look cleaner to Create an interesting design for the app's loading screen..Sep 26 2016, 1:56 PM
Dbrant added a project: Design.
Niedzielski renamed this task from Create an interesting design for the app's loading screen. to Create an interesting design for the app's launch loading screen..Jan 5 2017, 6:08 PM
Niedzielski updated the task description. (Show Details)
RHo renamed this task from Create an interesting design for the app's launch loading screen. to Update app launch screen design to better reflect loading progress.May 29 2017, 6:28 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)May 29 2017, 10:21 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)
Nark0 awarded a token.May 30 2017, 3:36 PM
Nark0 added subscribers: RHo, Nark0.

@RHo that's a cool and modern solution. I can give a hand with it when I am back from my holidays :)

Kaartic awarded a token.EditedJun 24 2017, 5:06 AM
Kaartic added a subscriber: Kaartic.

The design looks great! Would love to see it in live action.

Let's make sure we separate the two types of "loading" progress that we're referring to:

  1. The "loading" W screen when the app is first launched by the system.
    • Cold-launching directly from tapping the app icon to seeing a "live" activity (as proposed in the animated gif) is not really possible, because this is the time during which the system itself loads the app into memory. All apps have a version of this kind of screen, and it's unavoidable. During this time, the system permits the app to display some very minimal graphics to represent the app's brand, but not much more. It's not advised (or possible?) to have complex animations during this time, since this will detract from the time it takes the system to finish loading the app.
    • This is independent of any network requests (because the app isn't loaded yet), but it is dependent on the horsepower of the device, i.e. less-powerful devices will display the loading screen for a longer time.
    • We could potentially compose a fake "screenshot" of the feed (with placeholder cards), and use that as the loading graphic. However, this might look weird across different aspect ratios.
  1. The empty state of the Feed while the network request is in progress which fetches the feed contents.
    • This is the "loading" progress when the main activity has finished launching and makes its initial network request to fetch the feed contents. (this is the "skeleton screen" to which the Smashing Magazine article refers.)
    • During this period, we can indeed show placeholder cards in the feed which mimic the expected structure of the final cards.
    • However, by the nature of how the system works, this can only be shown after the app has been fully loaded, i.e. after the initial launch screen (1) is finished.

Perhaps we should un-merge the task to handle case (2), namely T124811, and make this task focus specifically on the initial loading graphic?

RHo added a comment.Mar 1 2018, 2:46 PM

Makes sense @Dbrant - will unmerge and post this onto T124811.

RHo renamed this task from Update app launch screen design to better reflect loading progress to Update app launch screen to current app branding.Mar 1 2018, 3:05 PM
RHo updated the task description. (Show Details)
Dbrant claimed this task.Mar 1 2018, 5:39 PM

Change 415616 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Update launch screen graphic.

https://gerrit.wikimedia.org/r/415616

Change 415616 merged by jenkins-bot:
[apps/android/wikipedia@master] Update launch screen graphic.

https://gerrit.wikimedia.org/r/415616

Kaartic removed a subscriber: Kaartic.Mar 2 2018, 3:44 PM
RHo triaged this task as Normal priority.Mar 6 2018, 3:38 PM
Dbrant closed this task as Resolved.Apr 13 2018, 1:21 PM